<?php

namespace Eform\Faq\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class FaqTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('eform_faq_faqs')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'eform.faq.faq.view',
                'name'      => 'View Faq',
            ],
            [
                'slug'      => 'eform.faq.faq.create',
                'name'      => 'Create Faq',
            ],
            [
                'slug'      => 'eform.faq.faq.edit',
                'name'      => 'Update Faq',
            ],
            [
                'slug'      => 'eform.faq.faq.delete',
                'name'      => 'Delete Faq',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/faq/faq',
                'name'        => 'Faq',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/faq/faq',
                'name'        => 'Faq',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'faq',
                'name'        => 'Faq',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Faq',
                'module'    => 'Faq',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'eform.faq.faq.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
