<?php

namespace Eform\Faq\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Illuminate\Support\Str;
use Eform\Faq\Actions\FaqExim;
use Eform\Faq\Http\Requests\FaqEximRequest;

/**
 * Admin web controller class.
 */
class FaqEximController extends BaseController
{
    /**
     * Action controller function for faq.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(FaqEximRequest $request, $exim)
    {
        try {
            $function = Str::camel($exim);
            $data = FaqExim::$function($request);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('faq:faq.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('faq/faq/' . $exim))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('faq/faq/' . $exim))
                ->redirect();
        }
    }
}
