<?php

namespace Eform\Faq\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait FaqExim
{

    /**
     * Determine if the given user can approve the given faq.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('faq.faq.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given faq.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('faq.faq.export')) {
            return true;
        }

        return false;
    }
}
